import useSWR, { mutate } from "swr";
import { fetcher } from "./fetcher";

type FileDifference = {
    type: string;
    value: {
        type: string;
        path: string;
    }[];
};

export function useDifferenceDoc() {
    return useSWR<FileDifference[]>("/api/diff/list", fetcher);
}

export async function commit(path: string, type: string) {
    const res = await fetch("/api/diff/commit", {
        method: "POST",
        body: JSON.stringify([{ path, type }]),
        headers: {
            "Content-Type": "application/json",
        },
    });
    mutate("/api/diff/list");
    return res.ok;
}

export async function commitAll(type: string) {
    const res = await fetch("/api/diff/commitall", {
        method: "POST",
        body: JSON.stringify({ type }),
        headers: {
            "Content-Type": "application/json",
        },
    });
    mutate("/api/diff/list");
    return res.ok;
}